# Gimp.Image.get_component_active

    @accepts(Gimp.Image, Gimp.ChannelType)
    @returns(bool)
    def get_component_active(self, component):
        # Python wrapper for gimp_image_get_component_active()

Returns if the specified image's image component is active.

This procedure returns if the specified image's image component (i.e. Red, Green, Blue intensity channels in an RGB image) is active or inactive -- whether or not it can be modified. If the specified component is not valid for the image type, an error is returned.

self

  The image.

component

  The image component.

Returns